View Issue Details
ID | Project | Category | View Status | Date Submitted | Last Update |
---|---|---|---|---|---|
0002144 | OpenFOAM | Patch | public | 2016-07-09 20:05 | 2016-07-09 20:49 |
Reporter | wyldckat | Assigned To | henry | ||
Priority | normal | Severity | major | Reproducibility | always |
Status | resolved | Resolution | fixed | ||
Platform | GNU/Linux | OS | Ubuntu | OS Version | 15.10 |
Product Version | dev | ||||
Fixed in Version | dev | ||||
Summary | 0002144: Missing parenthesis on the recent non-bash depToSource implementation | ||||
Description | The issue was introduced in commit 36f1016f3194c65. The "depToSource" definition without parenthesis fails with Ubuntu's "dash" shell implementation. Attached is the fixed "wmake/scripts/wmakeFunctions". | ||||
Tags | No tags attached. | ||||
|
wmakeFunctions (3,794 bytes)
#!/bin/sh #------------------------------------------------------------------------------ # ========= | # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox # \\ / O peration | # \\ / A nd | Copyright (C) 2015-2016 OpenFOAM Foundation # \\/ M anipulation | #------------------------------------------------------------------------------- # License # This file is part of OpenFOAM. # # OpenFOAM is free software: you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # OpenFOAM is distributed in the hope that it will be useful, but WITHOUT # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or # FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License # for more details. # # You should have received a copy of the GNU General Public License # along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>. # # Script # wmakeFunctions # # Description # Functions to check wmake environment and find .dep and .o files #------------------------------------------------------------------------------ #------------------------------------------------------------------------------ # Check environment variables #------------------------------------------------------------------------------ checkEnv() { for envar in WM_OPTIONS WM_DIR WM_PROJECT_DIR do eval test "\$$envar" || { echo "$Script error: environment variable \$$envar not set" 1>&2 exit 1 } done } #------------------------------------------------------------------------------ # Search up directories tree for the Make sub-directory #------------------------------------------------------------------------------ expandPath() { if [ -d "$1" ] then exPath=$(cd "$1" && pwd -P) else exPath=$(cd $(dirname "$1") && pwd -P) fi } findTarget() { expandPath $WM_PROJECT_DIR wmpdir=$exPath expandPath $1 if [ "$exPath" = "$wmpdir" \ -o "$exPath" = "$HOME" \ -o "$exPath" = "/" \ ] then echo "$Script error: could not find Make directory" 1>&2 exit 1 elif [ -d "$1/Make" ]; then dir=$1 else findTarget "$1/.." fi } findObjectDir() { expandPath $WM_PROJECT_DIR wmpdir=$exPath expandPath $1 if echo $exPath | grep "$wmpdir" > /dev/null then platformPath=$WM_PROJECT_DIR/platforms/${WM_OPTIONS} objectsDir=$platformPath$(echo $exPath | sed s%$wmpdir%% ) else path=$exPath dir=. if [ ! -d Make ] then findTarget . fi appDir=$dir expandPath $appDir/. objectsDir=$appDir/Make/${WM_OPTIONS}$(echo $path | sed s%$exPath%% ) fi } if [ -n "$BASH_VERSION" ]; then depToSource() { sourceFile=${depFile%.dep} sourceFile="${sourceFile/platforms\/${WM_OPTIONS}\//}" sourceFile="${sourceFile/Make\/${WM_OPTIONS}\//}" sourceFile="${sourceFile/platforms\/${WM_OPTIONS}${WM_MPLIB}\//}" sourceFile="${sourceFile/Make\/${WM_OPTIONS}${WM_MPLIB}\//}" } else depToSource() { sourceFile=$(echo ${depFile%.dep} | \ sed -e s%platforms/${WM_OPTIONS}/%% \ -e s%Make/${WM_OPTIONS}/%% \ -e s%platforms/${WM_OPTIONS}${WM_MPLIB}/%% \ -e s%Make/${WM_OPTIONS}${WM_MPLIB}/%% ) } fi #------------------------------------------------------------------------------ |
|
Thanks Bruno. Resolved by commit 4d5d61bbebd7c9b51a4c9344ba4935ceccd02b29 |
Date Modified | Username | Field | Change |
---|---|---|---|
2016-07-09 20:05 | wyldckat | New Issue | |
2016-07-09 20:05 | wyldckat | Status | new => assigned |
2016-07-09 20:05 | wyldckat | Assigned To | => henry |
2016-07-09 20:05 | wyldckat | File Added: wmakeFunctions | |
2016-07-09 20:49 | henry | Note Added: 0006515 | |
2016-07-09 20:49 | henry | Status | assigned => resolved |
2016-07-09 20:49 | henry | Fixed in Version | => dev |
2016-07-09 20:49 | henry | Resolution | open => fixed |